﻿using System;
using System.Collections.Generic;
using System.Text;

namespace ELTE.Basics.University
{
    abstract class UniversityCitizen // általános egyetemi polgár osztálya
    {
        // leszármazottban látható tulajdonságok
        protected String _Name;
        protected String _UniversityCode;
        protected List<Course> _Courses;

        public String Name { get { return _Name; } }
        public String UniversityCode { get { return _UniversityCode; } }

        public List<String> CourseNames // a kurzusok neveinek lekérdezése
        {
            get
            {
                List<String> courseNames = new List<String>();
                foreach (Course course in _Courses)
                    courseNames.Add(course.Name); // létrehozunk egy új listát a kurzusokból
                return courseNames;
            }
        }

        public UniversityCitizen() 
        {
            _Courses = new List<Course>(); // üres lista létrehozása
        }
    }
}
